
var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_clasfalta.php?pos="+inicio;
}


//----------------------------------------------------
function insertar(){

       var parametros = {"accion":'mostrar_tabla'};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_clas_falta.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}


//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function Limpiar(){
    document.getElementById('codigo').value="";
    document.getElementById('descripcion').value="";
}

function Grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v2=get('descripcion');

//alert(v1+ " - "+v2+ " - ");

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}
if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}


var parametros = {"accion":'grabar_Cfalta',
                          "codigo" :v1,
                          "descripcion" :v2
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_clas_falta.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        Limpiar();
                        document.location.href="ingresar_clasfalta.php?pos="+p;
                }
        });

}

function Actualizar(sec){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v2=get('descripcion');

//alert(v1+ " - "+v2+ " - ");

if (v1=="") {
    alert("Digite Codigo");
    return 0;
}
if (v2=="") {
    alert("Digite Una Descripci&oacute;n");
    return 0;
}



var parametros = {"accion":'actualizar_Cfalta',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "sec":sec
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_clas_falta.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_clasfalta.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function Eliminar(codigo,inicio,total){
    


    if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_Cfalta',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_clas_falta.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_clasfalta.php?pos="+inicio;

                }
        });
}

//------------------------------------------
function Editar(codigo,inicio){

    var parametros = {"accion":'editar_Cfalta',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_clas_falta.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}


